      subroutine TYPOPT(IOPT)
      include 'INPAR.INC'
      include 'UNITS.INC'
      integer IFIND,IT,LENTYP
      integer EOF,INUNIT,NTYPE,TYPLEN(5),MINTYP(5),IOPT
      character TYPNAM(26)*1, REQFMT*18
      data REQFMT/'(//'' Option-> ''  )'/
      data NTYPE, TYPLEN, MINTYP, LENTYP /5, 5,6,4,4,7, 2,2,1,1,1, 26/
      data TYPNAM /'P','O','I','N','T', 'P','R','O','F','I','L',
     & 'H','E','L','P', 'Q','U','I','T', 'K','I','N','E','T','I','C'/
100   continue
      IOPT = IFIND(NTYPE,LENTYP,TYPLEN,TYPNAM,MINTYP)
      IT = IOPT+3
      go to (120,130,110,130,130,120,130,130), IT
110   continue
      write (TTYOUT(MACHNO),5000)
5000  format (/' Option not recognized; please try again.'/)
120   continue
      write (TTYOUT(MACHNO),5010)
5010  format (/                                                         
     - 1X,'The following options are available:'//                      
     -16X,'POint   - Vertical concentration profile'/                   
     -16X,'PRofile - Longitudinal concentration profile'/               
     -16X,'Kinetic - List or plot kinetic outputs'/                     
     -16X,'Help    - This message'/                                     
     -16X,'Quit    - Return to the EXAMS program prompt')
      REQFMT(16:17) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      IOPT = -1
      STOPIT = 0
      if (EOF.ne.1) go to 100
130   continue
      return
      end
